Skip to content

Stream generation progress via SSE

GET
/api/intake/{conversation_id}/progress
curl --request GET \
--url https://example.com/api/intake/example/progress \
--header 'Authorization: Bearer <token>'

Server-Sent Events stream for real-time generation progress. Emits status_change, progress, message, complete, and error events. Sends heartbeat comments to keep the connection alive.

conversation_id
required
Conversation Id
string

Successful Response

Media type application/json
Example generated
example

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}